// BME280: Suche in Arduino Libraries nach BME280 und installiere Adafruit BME280
// BMP280: Suche in Arduino Libraries nach BMP280 und installiere Adafruit BMP280

// kopiere in die jeweils entsprechenden Funktionen in ui.ino

#include <Wire.h>
#include <SPI.h>
#include <Adafruit_Sensor.h>
#include <Adafruit_BME280.h>

#define SEALEVELPRESSURE_HPA (1013.25)

Adafruit_BME280 bme; // BME280
//Adafruit_BMP280 bmp; // BMP280

void setup() {
    bme.begin(0x76);
    //bmp.begin(0x76);
}

void loop() { 
    int temp = bme.readTemperature();
    int pressure = bme.readPressure() / 100.0F;
    int humidity = bme.readHumidity();

    //int temp = bmp.readTemperature();
    //int pressure = bmp.readPressure() / 100.0F;

    // Label (oder andere Text-Elemente)
    lv_label_set_text(ui_Label1, String(pressure).c_str());

    // Bar / Arc (alles mit Werten)
    lv_bar_set_value(ui_Bar1, humidity, LV_ANIM_ON); // oder LV_ANIM_OFF
}
